Listează scenariile
Toate scenariile din spațiul de lucru, cele mai vechi primele, în ordinea taburilor de pe ecranul de scenarii.
GET
/
scenarios
Listează scenariile
curl --request GET \
--url https://api.thinkout.io/v1/scenarios \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.thinkout.io/v1/scenarios', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));using RestSharp;
var options = new RestClientOptions("https://api.thinkout.io/v1/scenarios");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
var response = await client.GetAsync(request);
Console.WriteLine("{0}", response.Content);
import requests
url = "https://api.thinkout.io/v1/scenarios"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"object": "list",
"data": [
{
"object": "scenario",
"id": "2c3d4e5f-6a7b-4c8d-9e0f-1a2b3c4d5e6f",
"name": "Pessimistic",
"type": "dynamic",
"from": "2026-11-01",
"to": "2027-10-31",
"initial_balance": null,
"currency": "RON",
"created_at": "2026-10-02T08:15:00Z",
"updated_at": "2026-11-10T14:40:00Z"
}
],
"has_more": true,
"next_cursor": null
}{
"error": {
"type": "authentication",
"code": "unauthorized",
"message": "Missing, malformed, unknown or revoked API key",
"param": null,
"request_id": "0HNF8K3QJL2VM:00000001"
}
}{
"error": {
"type": "authentication",
"code": "forbidden",
"message": "The API is not included in this company's ThinkOut plan. Contact support@thinkout.io to enable it.",
"param": null,
"request_id": "0HNF8K3QJL2VM:00000001"
}
}{
"error": {
"type": "rate_limit",
"code": "rate_limited",
"message": "Too many requests",
"param": null,
"request_id": "0HNF8K3QJL2VM:00000001"
}
}Autorizări
⌘I
Listează scenariile
curl --request GET \
--url https://api.thinkout.io/v1/scenarios \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.thinkout.io/v1/scenarios', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));using RestSharp;
var options = new RestClientOptions("https://api.thinkout.io/v1/scenarios");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
var response = await client.GetAsync(request);
Console.WriteLine("{0}", response.Content);
import requests
url = "https://api.thinkout.io/v1/scenarios"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"object": "list",
"data": [
{
"object": "scenario",
"id": "2c3d4e5f-6a7b-4c8d-9e0f-1a2b3c4d5e6f",
"name": "Pessimistic",
"type": "dynamic",
"from": "2026-11-01",
"to": "2027-10-31",
"initial_balance": null,
"currency": "RON",
"created_at": "2026-10-02T08:15:00Z",
"updated_at": "2026-11-10T14:40:00Z"
}
],
"has_more": true,
"next_cursor": null
}{
"error": {
"type": "authentication",
"code": "unauthorized",
"message": "Missing, malformed, unknown or revoked API key",
"param": null,
"request_id": "0HNF8K3QJL2VM:00000001"
}
}{
"error": {
"type": "authentication",
"code": "forbidden",
"message": "The API is not included in this company's ThinkOut plan. Contact support@thinkout.io to enable it.",
"param": null,
"request_id": "0HNF8K3QJL2VM:00000001"
}
}{
"error": {
"type": "rate_limit",
"code": "rate_limited",
"message": "Too many requests",
"param": null,
"request_id": "0HNF8K3QJL2VM:00000001"
}
}